---
- name: generate setup_keystore utils script
  ansible.builtin.template:
    src: setup_keystore.sh.j2
    dest: "/usr/local/sbin/setup_keystore.sh"
    owner: "root"
    group: "elasticsearch"
    mode: 0700

- name: render password file
  ansible.builtin.template:
    src: password_file.txt.j2
    dest: /tmp/password_file.txt
    mode: 0400
    owner: "root"
    group: "elasticsearch"

- name: Create elastic keystore
  ansible.builtin.command: "/usr/local/sbin/setup_keystore.sh"

- name: Remove password file
  ansible.builtin.file:
    path: /tmp/password_file.txt
    state: absent